Bug 1361980 (CVE-2016-5254) - CVE-2016-5254 Mozilla: Use-after-free when using alt key and toplevel menus (MFSA 2016-70)
Summary: CVE-2016-5254 Mozilla: Use-after-free when using alt key and toplevel menus (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5254
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160802,reported=2...
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:26 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 21:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:32:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:26:52 UTC
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team reported a use-after-free vulnerability when the alt key is used in conjunction with toplevel menu items in Firefox. This results in a potentially exploitable crash when triggered. This vulnerability is mitigated by not being triggerable by web content, only direct user interaction with the keyboard. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-70.html


Acknowledgements:

Name: the Mozilla project
Upstream: Abhishek Arya

Comment 1 errata-xmlrpc 2016-08-03 08:08:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html


Note You need to log in before you can comment on or make changes to this bug.